com.tibco.tibjms.admin

## Class FTLTransportInfo

- java.lang.Object
- - com.tibco.tibjms.admin.TransportInfo
  - - com.tibco.tibjms.admin.FTLTransportInfo

-     public class FTLTransportInfo
      extends TransportInfo

  This class represents TIBCO FTL transports that are configured on the EMS server. FTL transports are mechanisms for importing and exporting messages between EMS and FTL.
  Since:
    EMS 8.2.0

- - ### Field Summary

    - ### Fields inherited from class com.tibco.tibjms.admin.TransportInfo

      `NON_PERSISTENT, PERSISTENT, RELIABLE, TPORT_ALL, TPORT_FTL, TPORT_RV, TPORT_RVCM, TPORT_SS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getConstants()` Get a Map of the transport export constants.
    `java.lang.String` | `getEndpointName()` Get the name of the endpoint used by the transport.
    `java.lang.String` | `getExportFormat()` Get the name of the export format of the transport.
    `java.lang.String` | `getMatchString()` Get the import match string used by the transport's content matcher.
    `java.lang.String` | `getSubscriberName()` Get the import subscriber name used by the transport.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibco.tibjms.admin.TransportInfo

      `getExportHeaders, getExportProperties, getName, getQueueImportDeliveryMode, getTopicImportDeliveryMode, getType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getEndpointName

          public java.lang.String getEndpointName()

      Get the name of the endpoint used by the transport.
      Returns:
        the name of the endpoint
      Since:
        EMS 8.2.0

    - #### getSubscriberName

          public java.lang.String getSubscriberName()

      Get the import subscriber name used by the transport.
      Returns:
        the name of the subscriber
      Since:
        EMS 8.2.0

    - #### getMatchString

          public java.lang.String getMatchString()

      Get the import match string used by the transport's content matcher.
      Returns:
        the match string of the transport
      Since:
        EMS 8.2.0

    - #### getExportFormat

          public java.lang.String getExportFormat()

      Get the name of the export format of the transport.
      Returns:
        the name of the export format
      Since:
        EMS 8.2.0

    - #### getConstants

          public java.util.Map<java.lang.String,java.lang.String> getConstants()

      Get a Map of the transport export constants. The key is the name of the constant, and the value is a string representation of the constant value.
      Returns:
        a Map() of the constant names and values.
      Since:
        EMS 8.2.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Cloud Software Group, Inc. All rights reserved